Get Map
curl --request GET \
--url https://api.olostep.com/v1/maps/{map_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.olostep.com/v1/maps/{map_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.olostep.com/v1/maps/{map_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"urls_count": 123,
"urls": [
"<string>"
],
"cursor": "<string>",
"credits_consumed": 123,
"cost_usd": 123
}Maps
Get Map
Retrieve a previously completed map by its ID.
GET
/
v1
/
maps
/
{map_id}
Get Map
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Path Parameters
Unique identifier for the map to be retrieved.
Response
Successful response with the map object.
Unique identifier for this map
Number of URLs in the current response
Array of URLs found on the page
Pagination cursor to retrieve the next set of URLs. If null, all URLs have been retrieved.
Number of credits consumed by this request. Populated after execution completes. Credits are the source of truth for billing.
Estimated cost in USD for this request. Populated after execution completes. Calculated from credits consumed and your plan rate — 99% accurate, but credits_consumed is the authoritative value.
Was this page helpful?